Contribution Guidelines
=======================

First of all, each single contribution is appreciated, whether a typo fix,
improved documentation, a fixed bug or a whole new feature.

## Making your changes

 1. Fork the repository on GitHub
 2. Pull requests must be sent from a new hotfix/feature branch, not from `master`.
 3. Make your modifications, coding standard for the project is [PSR-2](https://github.com/php-fig/fig-standards/blob/master/accepted/PSR-2-coding-style-guide.md)
 4. Commit small logical changes, each with a descriptive commit message.
    Please don't mix unrelated changes in a single commit.

## Commit messages

Please format your commit messages as follows:

    Short summary of the change (up to 50 characters)

    Optionally add a more extensive description of your change after a
    blank line. Wrap the lines in this and the following paragraphs after
    72 characters.

## Submitting your changes

 1. Push your changes to a topic branch in your fork of the repository.
 2. [Submit a pull request][pr] to the original repository.
    Describe your changes as short as possible, but as detailed as needed for
    others to get an overview of your modifications.

## Further information

 * [General GitHub documentation][gh-help]
 * [GitHub pull request documentation][gh-pr]

 [gh-help]: https://help.github.com
 [gh-pr]:   https://help.github.com/send-pull-requests
 [issue]:   https://github.com/helios-ag/FMElfinderBundle/issues/new
 [pr]:      https://github.com/helios-ag/FMElfinderBundle/pull/new
